<!--Pagination -->
{% if objects.has_other_pages %}
    <nav aria-label="pagination example mt-3">

        <ul class="pagination pagination-circle pg-blue mb-0">

            <li class="page-item"><a href="?page=1" class="page-link">First</a></li>

            {% if objects.has_previous %}
                <li class="page-item">
                    <a href="?page={{ objects.previous_page_number }}" class="page-link" aria-label="Previous">
                        <span aria-hidden="true">&laquo;</span>
                        <span class="sr-only">Previous</span>
                    </a>
                </li>
                <!--First-->
            {% else %}
                <li class="page-item disabled">
                    <a class="page-link" aria-label="Previous">
                        <span aria-hidden="true">&laquo;</span>
                        <span class="sr-only">Previous</span>
                    </a>
                </li>
            {% endif %}
            <!--Arrow left-->
{#            Numbers#}

            {% for i in objects.paginator.page_range %}
                {% if objects.number == i %}
                    <li class="page-item active"><span><a class="page-link" href="">{{ i }} <span class="sr-only">(current)</span></a></span></li>
                {% else %}
                    <li class="page-item"><a class="page-link" href="?page={{ i }}">{{ i }}</a></li>
                {% endif %}
            {% endfor %}

            {% if objects.has_next %}
                <li class="page-item">
                    <a href="?page={{ objects.next_page_number }}" class="page-link" aria-label="Next">
                        <span aria-hidden="true">&raquo;</span>
                        <span class="sr-only">Next</span>
                    </a>
                </li>
            {% else %}
                <li class="page-item disbled">
                    <a class="page-link" aria-label="Next">
                        <span aria-hidden="true">&raquo;</span>
                        <span class="sr-only">Next</span>
                    </a>
                </li>
            {% endif %}
            <!--Arrow right-->


            <!--Last-->
            <li  class="page-item"><a href="?page={{ objects.paginator.num_pages }}" class="page-link">Last</a></li>

        </ul>
    </nav>
{% endif %}
<!--/Pagination -->